Browse Source

set default python to python3

Set the default python to python3 except for the py27 environment. We
have to set that explicitly to override the new default.

Change-Id: I2ac4c36cf0d3786da9bb35abf28c039da7b8aa1e
Signed-off-by: Doug Hellmann <doug@doughellmann.com>
Doug Hellmann 1 year ago
parent
commit
fa444a8bd7
1 changed files with 4 additions and 1 deletions
  1. 4
    1
      tox.ini

+ 4
- 1
tox.ini View File

@@ -3,6 +3,7 @@ minversion = 2.0
3 3
 envlist = py35,py27,pypy,pep8
4 4
 
5 5
 [testenv]
6
+basepython = python3
6 7
 deps =
7 8
   -c{env:UPPER_CONSTRAINTS_FILE:https://git.openstack.org/cgit/openstack/requirements/plain/upper-constraints.txt}
8 9
   -r{toxinidir}/test-requirements.txt
@@ -10,6 +11,9 @@ deps =
10 11
 install_command = pip install {opts} {packages}
11 12
 commands = python setup.py testr --slowest --testr-args='{posargs}'
12 13
 
14
+[testenv:py27]
15
+basepython = python2.7
16
+
13 17
 [testenv:pep8]
14 18
 deps =
15 19
   -r{toxinidir}/test-requirements.txt
@@ -49,7 +53,6 @@ commands = pip-missing-reqs -d --ignore-module=oslo_reports* --ignore-module=pkg
49 53
 commands = sphinx-build -a -E -W -d releasenotes/build/doctrees -b html releasenotes/source releasenotes/build/html
50 54
 
51 55
 [testenv:lower-constraints]
52
-basepython = python3
53 56
 deps =
54 57
   -c{toxinidir}/lower-constraints.txt
55 58
   -r{toxinidir}/test-requirements.txt

Loading…
Cancel
Save